#!/usr/bin/env python3

""" 
This script searches amongst the barrier-less channels to look for fragments detected in the ISM

"""

import os.path
import sys
import re
import math
from numpy import *
from scipy.linalg import *
from ase import Atoms

File = str(sys.argv[1])
File2 = 'ISMmolecules.masses'
H = Atoms('H',positions=[(0,0,0)])
Hmass= sum(H.get_masses())

fraISM = []
mfraISM = []
for line in open(File2, 'r'):
    columns = line.split()
    fr = str(columns[1])
    fra = Atoms(fr)
    mfra = sum(fra.get_masses())
    fraISM.append(fr)
    mfraISM.append(mfra)
    if 'H' in fra.get_chemical_symbols(): 
        mfraISM.append(mfra-Hmass)
    mfraISM.append(mfra+Hmass)

cfra = []
i = 0
for line in open(File, 'r'):
    i += 1
    columns = line.split()
    if i > 2:
        fr1 = str(columns[-3])
        fr2 = str(columns[-1])
        fra1 = Atoms(fr1)
        fra2 = Atoms(fr2)
        mfr1 = sum(fra1.get_masses())
        mfr2 = sum(fra2.get_masses())
        if mfr1 in mfraISM and mfr2 in mfraISM and [fr1,fr2] not in cfra: 
            cfra.append([fr1,fr2])
            print(columns[-3],len(fra1),mfr1,"      ",columns[-1],len(fra2),mfr2) 



